Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1055)
@@ -2491,5 +2643,5 @@
                         G4cout<<"-Warn-G4QE::HQE:Sig,QC="<<totQC<<",4M="<<tot4M<<G4endl;//^
 #endif
-    	                   //throw G4QException("G4QEnvironment::HadronizeQEnv:Sig error");//^
+                        //throw G4QException("G4QEnvironment::HadronizeQEnv:Sig error");//^
                       } //                                                                ^
                       delete quasH;          // Delete the temporary fake Quasmon         ^
@@ -2497,5 +2649,5 @@
                     } //                                                                  ^
 #ifdef pdebug
-	                   G4cout<<"G4QEnv::HadronizeQEnv:2NSigma="<<PDGQ<<cq4M<<"-> Sigma/Pi="//^
+                    G4cout<<"G4QEnv::HadronizeQEnv:2NSigma="<<PDGQ<<cq4M<<"-> Sigma/Pi="//^
                           <<hyPDG<<b4Mom<<" + 2N/3N="<<pigPDG<<m4Mom<<dinFlag<<G4endl; // ^
 #endif
@@ -2509,5 +2661,5 @@
                     theQHadrons.push_back(secBar); // Fill the gam/pi (delete equivalent) ^
                     if(dinFlag)               //                                          ^
-					               {                         //                                          ^
+                    {                         //                                          ^
                       G4QHadron* triBar = new G4QHadron(pigPDG,m4Mom);// Cre. 3-d nucleon ^
                       theQHadrons.push_back(triBar);// Fill 3-d nucleon (delete equival.) ^
@@ -2517,5 +2669,5 @@
                     totQC-=qQC;               // Update total residual QC of HadrPr.      ^
                     eCount--;                 // Reduce a#of the living Quasmons          ^
-				              }                           //                                          ^
+                  }                           //                                          ^
                   else if (PDGQ!=10)          // @@ Chipolino can wait @@                 ^
                   {                           //                                          ^
@@ -2523,11 +2675,11 @@
                     G4double gsM=QPDGQ.GetMass(); // GSmass of the Quasmon                ^
 #ifdef edebug
-    		              G4cout<<"G4QEnv::HadrQEnv:#"<<jq<<",qM="<<qM<<">gsM="<<gsM<<G4endl;// ^
-#endif
-					               if(fabs(qM-gsM)<0.0001)    // "Fill & Kill" Case                       ^
+                    G4cout<<"G4QEnv::HadrQEnv:#"<<jq<<",qM="<<qM<<">gsM="<<gsM<<G4endl;// ^
+#endif
+                    if(fabs(qM-gsM)<0.0001)   // "Fill & Kill" Case                       ^
                     {                         //                                          ^
                       G4QHadron* resQ = new G4QHadron(PDGQ,cq4M); // GSM hadron for CurQ  ^
 #ifdef pdebug
-					                 G4cout<<"G4QEnv::HadrQEnv:ResQ="<<PDGQ<<cq4M<<G4endl;         //    ^
+                      G4cout<<"G4QEnv::HadrQEnv:ResQ="<<PDGQ<<cq4M<<G4endl;         //    ^
 #endif
                       theQHadrons.push_back(resQ); // @@ Check Dibarions @@ (del.equiv.)  ^
@@ -2536,9 +2688,9 @@
                       totQC-=qQC;             // Update total residual QC of HadrPr.      ^
                       eCount--;               // Reduce a#of the living Quasmons          ^
-					               }                         //                                          ^
-					               else if(eCount==1 && qM<gsM && CheckGroundState(pQ,true))// Cor.& Fin.^
+                    }                         //                                          ^
+                    else if(eCount==1 && qM<gsM && CheckGroundState(pQ,true))// Cor.& Fin.^
                     {                         //                                          ^
 #ifdef edebug
-					                 G4cout<<"G4QEnv::HadrQEnv:**>>** CGS Correction **>>**"<<G4endl; // ^
+                      G4cout<<"G4QEnv::HadrQEnv:**>>** CGS Correction **>>**"<<G4endl; // ^
 #endif
                       for_each(output->begin(), output->end(), DeleteQHadron()); //-->-->-^
@@ -2549,10 +2701,10 @@
                       return theQHadrons;     //                                          ^
                     }                         //                                          ^
-				                else if(qM<gsM&&(pQ->GetQC().GetSPDGCode()==1114     //               ^
-									                            || pQ->GetQC().GetSPDGCode()==2224) //               ^
+                    else if(qM<gsM&&(pQ->GetQC().GetSPDGCode()==1114     //               ^
+                                     || pQ->GetQC().GetSPDGCode()==2224) //               ^
                           &&qM>theWorld->GetQParticle(QPDGQ)->MinMassOfFragm())//Del&Kill ^
                     {                         //                                          ^
 #ifdef edebug
-					                 G4cout<<"G4QEnv::HadrQEnv:**||** Copy&Decay **||**"<<G4endl; //     ^
+                      G4cout<<"G4QEnv::HadrQEnv:**||** Copy&Decay **||**"<<G4endl; //     ^
 #endif
                       G4QHadronVector* decHV=pQ->DecayQuasmon();//Dec.Quasm & fill decHV=*^
@@ -2562,8 +2714,8 @@
                       pQ->KillQuasmon();      // Make done the current Quasmon            ^
                       eCount--;               // Reduce a#of the living Quasmons          ^
-					               }                         //                                          ^
-				              }                           //                                          ^
-				            }                             // End of the Medium/Vacuum IF              ^
-			           }                               // End of the status ELSE IF                ^
+                    }                         //                                          ^
+                  }                           //                                          ^
+                }                             // End of the Medium/Vacuum IF              ^
+              }                               // End of the status ELSE IF                ^
               else if(status==3) count3++;    //                                          ^
               if(status<0)                    // Panic: Quasmon is below theMassShell     ^
@@ -2581,20 +2733,20 @@
                 G4int    nRQ=0;                 // Prot. of a#of additionalRealQuasmons   ^
 #ifdef edebug
-    		          G4cout<<"G4QEnv::HadrQEnv: ***PANIC*** for jq="<<jq<<G4endl; //           ^
+                G4cout<<"G4QEnv::HadrQEnv: ***PANIC*** for jq="<<jq<<G4endl; //           ^
 #endif
                 G4ThreeVector vp= pQ->Get4Momentum().vect(); // PANICQuasmon momentum     ^
                 G4double dpm=1.e+30;            // Big number (dot product of momenta)    ^
-	               if(nQuasmons>1) for(G4int ir=0; ir<nQuasmons; ir++)// Search for partner  ^
+                if(nQuasmons>1) for(G4int ir=0; ir<nQuasmons; ir++)// Search for partner  ^
                 {                               //                                        ^
                   if(ir!=jq)                    // Skip the current (PANIC) Quasmon itself^
                   {                             //                                        ^
-	                   G4Quasmon* rQ = theQuasmons[ir]; //                                   ^
+                    G4Quasmon* rQ = theQuasmons[ir]; //                                   ^
                     G4int Qst = rQ->GetStatus();// Status of a Quasmon                    ^
 #ifdef edebug
-					               G4cout<<"G4QEnv::HadrQEnv: ir="<<ir<<",Qstatus="<<Qst<<G4endl; //     ^
+                    G4cout<<"G4QEnv::HadrQEnv: ir="<<ir<<",Qstatus="<<Qst<<G4endl; //     ^
 #endif
                     if(Qst>0)                   // Skip the dead Quasmon                  ^
-				                {
-					                 nRQ++;                    // Increment real-Quasmon-counter         ^
+                    {
+                      nRQ++;                    // Increment real-Quasmon-counter         ^
                       G4double dp=vp.dot(rQ->Get4Momentum().vect()); //                   ^
                       if(dp<dpm)                // Search for the "moving in thesameDir"  ^
@@ -2602,11 +2754,11 @@
                         ppm=ir;                 // Remember the index of MinProj Quasmon  ^
                         dpm=dp;                 // Remember the value of theMinProjection ^
-					                 }                         //                                        ^
-				                }                           //                                        ^
-				              } // End of the Quasmon LOOP 
+                      }                         //                                        ^
+                    }                           //                                        ^
+                  } // End of the Quasmon LOOP 
                 } // End of the partner-search-for-the-PANIC-Quasmon LOOP                 ^
                 if(nRQ)                         // Merge with theBestPartnerQuasmonCandid ^
                 {                               //                                        ^
-	                 G4Quasmon*      rQ = theQuasmons[ppm];   //                             ^
+                  G4Quasmon*      rQ = theQuasmons[ppm];   //                             ^
                   G4QContent      rQC= rQ->GetQC();        //                             ^
                   G4LorentzVector r4M= rQ->Get4Momentum(); //                             ^
@@ -2615,13 +2767,13 @@
                   rQ->InitQuasmon(rQC, r4M);    // Make new Quasmon                       ^
 #ifdef edebug
-		                G4cout<<"G4QE::HQE:"<<pQ->GetQC()<<"+"<<rQ->GetQC()<<"="<<rQC<<G4endl;//^
+                  G4cout<<"G4QE::HQE:"<<pQ->GetQC()<<"+"<<rQ->GetQC()<<"="<<rQC<<G4endl;//^
 #endif
                   pQ->KillQuasmon();            // Delete old Quasmon                     ^
                   eCount--;                     // Decrement counter of living Quasmons   ^
-			             }                               //                                        ^
+                }                               //                                        ^
                 else // No candidate to resolve PANIC was found                           ^
                 {                               //                                        ^
 #ifdef edebug
-		                G4cout<<"G4QEnv::HQE: No Q-cand. nRQ="<<nRQ<<",eC="<<eCount<<G4endl; // ^
+                  G4cout<<"G4QEnv::HQE: No Q-cand. nRQ="<<nRQ<<",eC="<<eCount<<G4endl; // ^
 #endif
                   //if(eCount==1 && CheckGroundState(pQ,true)) //  BackFusion attempt     ^
@@ -2633,17 +2785,17 @@
                     pQ->KillQuasmon();          //                                        ^
                     eCount--;                   // Reduce a#of the living Quasmons        ^
-					               return theQHadrons;         //                                        ^
+                    return theQHadrons;         //                                        ^
                   }                             //                                        ^
 #ifdef fdebug
-		                G4cout<<"G4QEnv::HadrQEnv:NO PANICsolution,t="<<tot4M<<totQC<<G4endl;// ^
+                  G4cout<<"G4QEnv::HadrQEnv:NO PANICsolution,t="<<tot4M<<totQC<<G4endl;// ^
 #endif
                   totQC=theEnvironment.GetQC(); //                                        ^
                   tot4M=theEnvironment.Get4Momentum(); //                                 ^
-	                 if(nQuasmons) for(G4int jr=0; jr<nQuasmons; jr++) // Search for partner ^
+                  if(nQuasmons) for(G4int jr=0; jr<nQuasmons; jr++) // Search for partner ^
                   {                             //                                        ^
-	                   G4Quasmon* rQ = theQuasmons[jr]; // Pointer to the Quasmon            ^
+                    G4Quasmon* rQ = theQuasmons[jr]; // Pointer to the Quasmon            ^
                     G4int Qst = rQ->GetStatus();// Status of a Quasmon                    ^
                     if(jr==jq)                  //                                        ^
-					               {                           //                                        ^
+                    {                           //                                        ^
                       totQC+=rQ->GetQC();       // QuarkContent of the Quasmon            ^
                       tot4M+=rQ->Get4Momentum();// QuarkContent of the Quasmon            ^
@@ -2653,5 +2805,5 @@
                       totQC+=rQ->GetQC();       // QuarkContent of the Quasmon            ^
                       tot4M+=rQ->Get4Momentum();// QuarkContent of the Quasmon            ^
-					               }                           //                                        ^
+                    }                           //                                        ^
                   } // End of the "No candidate to resolve PANIC" ELSE                    ^
                   pQ->KillQuasmon();            // Kill the only Quasmon                  ^
@@ -2665,25 +2817,26 @@
                   force=true;                   // Make the force decision                ^
                   break;                        // Out of the fragmentation loop >->+     ^
-			             }                               //                                  |     ^
-			           }                                 //                                  |     ^
-			         }                                   //                                  |     ^
+                }                               //                                  |     ^
+              }                                 //                                  |     ^
+            }                                   //                                  |     ^
             for_each(output->begin(), output->end(), DeleteQHadron()); // ->-->-->--|-----^
             output->clear();                    //                                  |     ^
             delete output;                      // >================================|=====^
-		        } // End of skip of the dead Quasmons                                     |
-#ifdef pdebug
-	         G4cout<<"G4QE::HQE:QStat("<<jq<<"="<<status<<pQ->Get4Momentum()<<G4endl;//|
-#endif
-	       } // End of fragmentation LOOP over Quasmons (jq) <--------<----------<-----+
+          } // End of skip of the dead Quasmons                                     |
+#ifdef pdebug
+          G4cout<<"G4QE::HQE:QStat("<<jq<<"="<<status<<pQ->Get4Momentum()<<G4endl;//|
+#endif
+        } // End of fragmentation LOOP over Quasmons (jq) <--------<----------<-----+
+        cAN=0;
       }
       else if(totMass>totM+.001)                // ==> "Try Evaporate or decay" case
-	     {
+      {
 #ifdef edebug
-		      G4cout<<"G4QEnv::HadrQE: NQ="<<nQuasmons<<",tM="<<totMass<<",tPDG="<<totPDG<<",tB="
+        G4cout<<"G4QEnv::HadrQE: NQ="<<nQuasmons<<",tM="<<totMass<<",tPDG="<<totPDG<<",tB="
               <<totBN<<",GSM="<<totM<<",dM="<<totMass-totM<<",totQC="<<totQC<<G4endl;
 #endif
-		      //if(nQuasmons==1)
+        //if(nQuasmons==1)
         if(2>3)                                 // ** closed, because doesn't make a diff
-		      {
+        {
           G4QContent quasQC=totQC-envQC;        // Total QuarkContent of the Only Quasmon
           G4int resQPDG=quasQC.GetSPDGCode();   // GS mass for the Only Quasmon-hadron
@@ -2696,5 +2849,5 @@
           G4double de=totMass-envM-resQM-qCB;
 #ifdef debug
-		        G4cout<<"G4QEnv::HadrQE:NQ==1,tM="<<totMass<<",qM="<<resQM<<",eM="<<envM<<",CB="
+          G4cout<<"G4QEnv::HadrQE:NQ==1,tM="<<totMass<<",qM="<<resQM<<",eM="<<envM<<",CB="
                 <<qCB<<",dE="<<totMass-envM-resQM-qCB<<G4endl;
 #endif
@@ -2704,5 +2857,5 @@
             G4LorentzVector fe4M=env4M;         // Prototype for outEnvironment
             G4LorentzVector dir4M=tot4M-env4M;  // Internall quasmon 4-momentum
-	           if(!G4QHadron(tot4M).RelDecayIn2(fe4M,fq4M,dir4M,1.,1.))
+            if(!G4QHadron(tot4M).RelDecayIn2(fe4M,fq4M,dir4M,1.,1.))
             {
               G4cerr<<"***G4QEnv::HadrQE: Can't decay Q+E, t4M="<<tot4M<<",d="<<de<<G4endl;
@@ -2715,5 +2868,5 @@
               theQHadrons.push_back(hEnv);      // Fill the hadron-environ (delete equiv.)
 #ifdef debug
-			           G4cout<<"G4QEnv::HadrQEnv:fQ="<<resQPDG<<fq4M<<", fE="<<envPDG<<fe4M<<G4endl;
+              G4cout<<"G4QEnv::HadrQEnv:fQ="<<resQPDG<<fq4M<<", fE="<<envPDG<<fe4M<<G4endl;
 #endif
               return theQHadrons;
@@ -2721,31 +2874,31 @@
         }
 #ifdef debug
-		      G4cout<<"G4QEnv::HadrQE: M="<<totMass<<",PDG="<<totPDG<<",B="<<totBN<<",GSM="<<totM
+        G4cout<<"G4QEnv::HadrQE: M="<<totMass<<",PDG="<<totPDG<<",B="<<totBN<<",GSM="<<totM
               <<",dM="<<totMass-totM<<",totQC="<<totQC<<G4endl;
 #endif
         if(totBN<2)                             // ==> "Baryon/Meson residual Quasmon" case
-		      {
+        {
           if(totPDG==90999999||totPDG==90999000||totPDG==90000999||totPDG==89999001)//"M"ca
-		        {
-		          G4cout<<"---Warning---G4QE::HQE:Meson(2) PDG="<<totPDG<<",M="<<totMass<<G4endl;
-		        }
+          {
+            G4cout<<"---Warning---G4QE::HQE:Meson(2) PDG="<<totPDG<<",M="<<totMass<<G4endl;
+          }
           else if(totPDG==1114||totPDG==2224)   //==> "DELTA- or DELTA++" case (?antiDELTA)
-		        {
+          {
             G4double   mBar=mProt;
-			         G4int      bPDG=2212;
+            G4int      bPDG=2212;
             G4double   mMes=mPi;
-			         G4int      mPDG=211;
+            G4int      mPDG=211;
             if(totPDG==1114)                    // "DELTA-" case
-			         {
+            {
               mBar=mNeut;
               bPDG=2112;
               mPDG=-211;
-		          }
+            }
             if(totMass<mBar+mMes)
-			         {
-		            G4cout<<"--Warning--G4QE::HQE:tM="<<totMass<<"<GSM+mPi0="<<totM+mPi0<<G4endl;
+            {
+              G4cout<<"--Warning--G4QE::HQE:tM="<<totMass<<"<GSM+mPi0="<<totM+mPi0<<G4endl;
               G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
               CleanUp();
-		            if(!CheckGroundState(quasH,true))
+              if(!CheckGroundState(quasH,true))
               {
                 G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -2758,7 +2911,7 @@
               delete quasH;  
               return theQHadrons;
-			         }
+            }
             else
-			         {
+            {
               //G4QHadron* delta = new G4QHadron(totQC,tot4M);
               //delta->SetNFragments(2);           // Put a#of Fragments=2
@@ -2772,8 +2925,8 @@
               {
                 G4cout<<"---Warning---G4QEnv::HadronizeQE:B="<<bPDG<<"(m="<<mBar<<") + M="
-					                 <<mPDG<<"(m="<<mMes<<")="<<mBar+mMes<<" > mDel="<<totMass<<G4endl;
+                      <<mPDG<<"(m="<<mMes<<")="<<mBar+mMes<<" > mDel="<<totMass<<G4endl;
                 G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
                 CleanUp();
-		              if(!CheckGroundState(quasH,true))
+                if(!CheckGroundState(quasH,true))
                 {
                   G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -2782,5 +2935,5 @@
                   G4cout<<"***G4QE::HQE:FillAsIs(-3),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-    	             //throw G4QException("G4QEnvironment::HadronizeQEnv:Del->Bar+Mes error");
+                  //throw G4QException("G4QEnvironment::HadronizeQEnv:Del->Bar+Mes error");
                 }
                 delete quasH;  
@@ -2788,5 +2941,5 @@
               }
 #ifdef pdebug
-	             G4cout<<"G4QEnv::HadronizeQEnv: DELTA="<<totPDG<<tot4M<<" -> Bar="
+              G4cout<<"G4QEnv::HadronizeQEnv: DELTA="<<totPDG<<tot4M<<" -> Bar="
                     <<bPDG<<b4Mom<<" + Mes="<<mPDG<<m4Mom<<G4endl;
 #endif
@@ -2794,16 +2947,16 @@
               theQHadrons.push_back(curBar);     // Fill the baryon (delete equivalent)
 #ifdef edebug
-			           G4cout<<"G4QEnv::HadrQEnv:BaryonH="<<bPDG<<b4Mom<<G4endl;
+              G4cout<<"G4QEnv::HadrQEnv:BaryonH="<<bPDG<<b4Mom<<G4endl;
 #endif
               G4QHadron* curMes = new G4QHadron(mPDG,m4Mom);
               theQHadrons.push_back(curMes);     // Fill the meson (delete equivalent)
 #ifdef edebug
-			           G4cout<<"G4QEnv::HadrQEnv:MesonH="<<mPDG<<m4Mom<<G4endl;
+              G4cout<<"G4QEnv::HadrQEnv:MesonH="<<mPDG<<m4Mom<<G4endl;
 #endif
               return theQHadrons;
-			         }
-		        }
+            }
+          }
           else if(totPDG==10)                    // ==> "Chipolino" case
-		        {
+          {
             G4QChipolino resChip(totQC);         // define Residual as Chipolino
             G4QPDGCode h1QPDG=resChip.GetQPDG1();// QPDG of the first hadron
@@ -2818,8 +2971,8 @@
             {
               G4cout<<"---Warning---G4QEnv::HadronizeQE:h1="<<h1PDG<<"(m="<<h1M<<") + h2="
-				                <<h2PDG<<"(m="<<h2M<<")="<<h1M+h2M<<" > mChipo="<<totMass<<G4endl;
+                    <<h2PDG<<"(m="<<h2M<<")="<<h1M+h2M<<" > mChipo="<<totMass<<G4endl;
               G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
               CleanUp();
-		            if(!CheckGroundState(quasH,true))
+              if(!CheckGroundState(quasH,true))
               {
                 G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -2828,5 +2981,5 @@
                 G4cout<<"***G4QE::HQE:FillAsIs(-2),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-    	           //throw G4QException("G4QEnvironment::HadrQEnv: Chipo->1+2 decay failed");
+                //throw G4QException("G4QEnvironment::HadrQEnv: Chipo->1+2 decay failed");
               }
               delete quasH;  
@@ -2834,5 +2987,5 @@
             }
 #ifdef pdebug
-	           G4cout<<"G4QEnv::HadronizeQEnv: Chipo="<<tot4M<<" -> h1="
+            G4cout<<"G4QEnv::HadronizeQEnv: Chipo="<<tot4M<<" -> h1="
                   <<h1PDG<<h14Mom<<" + Mes="<<h2PDG<<h24Mom<<G4endl;
 #endif
@@ -2840,15 +2993,15 @@
             theQHadrons.push_back(curH1);        // Fill the curH1 (delete equivalent)
 #ifdef edebug
-			         G4cout<<"G4QEnv::HadrQEnv:HadronH="<<h1PDG<<h14Mom<<G4endl;
+            G4cout<<"G4QEnv::HadrQEnv:HadronH="<<h1PDG<<h14Mom<<G4endl;
 #endif
             G4QHadron* curH2 = new G4QHadron(h2PDG,h24Mom);
             theQHadrons.push_back(curH2);        // Fill the curH2 (delete equivalent)
 #ifdef edebug
-			         G4cout<<"G4QEnv::HadrQEnv:MesAsHadrPartnerH="<<h2PDG<<h24Mom<<G4endl;
+            G4cout<<"G4QEnv::HadrQEnv:MesAsHadrPartnerH="<<h2PDG<<h24Mom<<G4endl;
 #endif
             return theQHadrons;
-		        }
+          }
           else if(totBN<2&&totPDG&&totMass<totM+mPi0+.001)// ==> "Meson/Baryon+gamma" case
-		        {
+          {
             G4LorentzVector h4Mom(0.,0.,0.,totM);
             G4LorentzVector g4Mom(0.,0.,0.,0.);
@@ -2859,5 +3012,5 @@
               G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
               CleanUp();
-		            if(!CheckGroundState(quasH,true))
+              if(!CheckGroundState(quasH,true))
               {
                 G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -2866,5 +3019,5 @@
                 G4cout<<"***G4QE::HQE:FillAsIs(-1),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-       	        //throw G4QException("G4QEnvironment::HadronizeQEnv:Gamma Decay failed");
+                //throw G4QException("G4QEnvironment::HadronizeQEnv:Gamma Decay failed");
               }
               delete quasH;  
@@ -2872,14 +3025,14 @@
             }
 #ifdef pdebug
-	           G4cout<<"G4QE::HQE:"<<tot4M<<"->h="<<totPDG<<h4Mom<<" + gamma="<<g4Mom<<G4endl;
+            G4cout<<"G4QE::HQE:"<<tot4M<<"->h="<<totPDG<<h4Mom<<" + gamma="<<g4Mom<<G4endl;
 #endif
             G4QHadron* curG = new G4QHadron(22,g4Mom);
             theQHadrons.push_back(curG);         // Fill the gamma (delete equivalent)
 #ifdef edebug
-			         G4cout<<"G4QEnv::HadrQEnv:PhotonH="<<g4Mom<<G4endl;
+            G4cout<<"G4QEnv::HadrQEnv:PhotonH="<<g4Mom<<G4endl;
 #endif
             G4QHadron* curH = new G4QHadron(totPDG,h4Mom);
 #ifdef edebug
-			         G4cout<<"G4QEnv::HadrQEnv:GamPartnerH="<<totPDG<<h4Mom<<G4endl;
+            G4cout<<"G4QEnv::HadrQEnv:GamPartnerH="<<totPDG<<h4Mom<<G4endl;
 #endif
             if(totPDG==92000000||totPDG==90002000||totPDG==90000002)
@@ -2887,7 +3040,7 @@
             else theQHadrons.push_back(curH);    // Fill the baryon (delete equivalent)
             return theQHadrons;
-		        }
+          }
           else if(totBN<2&&totPDG)               // ==> "Meson/Baryon+pi" case
-		        {
+          {
             G4int piPDG=111;
             G4double mpi=mPi0;
@@ -2895,6 +3048,6 @@
             G4double mbm=totM;
             if(totPDG==1114)
-			         {
-			           piPDG=-211;
+            {
+              piPDG=-211;
               mpi=mPi;
               mbPDG=2112;
@@ -2902,6 +3055,6 @@
             }
             else if(totPDG==2224)
-			         {
-			           piPDG=211;
+            {
+              piPDG=211;
               mpi=mPi;
               mbPDG=2212;
@@ -2909,6 +3062,6 @@
             }
             else if(totPDG==113)
-			         {
-			           piPDG=-211;
+            {
+              piPDG=-211;
               mpi=mPi;
               mbPDG=211;
@@ -2923,5 +3076,5 @@
               G4Quasmon* quasH = new G4Quasmon(totQC,tot4M); // totQC not tQC!
               CleanUp();
-		            if(!CheckGroundState(quasH,true))
+              if(!CheckGroundState(quasH,true))
               {
                 G4QHadron* hadr = new G4QHadron(totQC,tot4M); // totQC not tQC!
@@ -2930,5 +3083,5 @@
                 G4cout<<"***G4QE::HQE:FillAsIs(0),QC="<<totQC<<",4M="<<tot4M<<G4endl;
 #endif
-       	        //throw G4QException("G4QEnvironment::HadronizeQE: DecIn2 mB+nPi failed");
+                //throw G4QException("G4QEnvironment::HadronizeQE: DecIn2 mB+nPi failed");
               }
               delete quasH;  
@@ -2936,5 +3089,5 @@
             }
 #ifdef pdebug
-	           G4cout<<"G4QE::HQE:"<<tot4M<<"->h="<<mbPDG<<h4Mom<<"+p="<<piPDG<<g4Mom<<G4endl;
+            G4cout<<"G4QE::HQE:"<<tot4M<<"->h="<<mbPDG<<h4Mom<<"+p="<<piPDG<<g4Mom<<G4endl;
 #endif
             G4QHadron* curH = new G4QHadron(mbPDG,h4Mom);
@@ -2944,14 +3097,14 @@
             G4QHadron* curG = new G4QHadron(piPDG,g4Mom);
 #ifdef edebug
-			         G4cout<<"G4QEnv::HadrQEnv:Gamma/Pi0H="<<piPDG<<g4Mom<<G4endl;
+            G4cout<<"G4QEnv::HadrQEnv:Gamma/Pi0H="<<piPDG<<g4Mom<<G4endl;
 #endif
             theQHadrons.push_back(curG);         // Fill the pi0 (delete equivalent)
             return theQHadrons;
-		        }
+          }
           else                                   // ==> "|B|<2 new Quasmon" case
-		        {
+          {
             G4Quasmon* resid = new G4Quasmon(totQC,tot4M); // delete is 3 lines below <-+
             G4QNucleus vacuum(90000000);         //                                     ^
- 	          G4QHadronVector* curout=resid->Fragment(vacuum,1);//**!!DESTROY!!** <-<-+   ^
+            G4QHadronVector* curout=resid->Fragment(vacuum,1);//**!!DESTROY!!** <-<-+   ^
             G4int rest = resid->GetStatus();     // New status after fragm attempt  ^   ^
             if(!rest) eCount--;                  // Dec ExistingQuasmonsCounter     ^   ^
@@ -2959,9 +3112,9 @@
             G4int nHadrons = curout->size();     // a#of Hadrons in the outHV       ^
             if(nHadrons>0)                       // Transfer QHadrons to Output     ^
-	           {
-    	         for (G4int ih=0; ih<nHadrons; ih++)// LOOP over output QHadrons       ^
-			           {                                  //                                 ^
-#ifdef pdebug
-				            G4cout<<"G4QEnv::HadrQE:NewB<2, H#"<<ih //                          ^
+            {
+              for (G4int ih=0; ih<nHadrons; ih++)// LOOP over output QHadrons       ^
+              {                                  //                                 ^
+#ifdef pdebug
+                G4cout<<"G4QEnv::HadrQE:NewB<2, H#"<<ih //                          ^
                       <<", QPDG="<<(*curout)[ih]->GetQPDG() //                      ^
                       <<", 4M="<<(*curout)[ih]->Get4Momentum()<<G4endl; //          ^
@@ -2969,18 +3122,18 @@
                 //theQHadrons.push_back(curout->operator[](ih));//(delete equ.) <-<-^
                 theQHadrons.push_back((*curout)[ih]);          // (delete equ.) <-<-^
-			           }                                  //                                 ^
-	           }                                    //                                 ^
-			         else                                 //                                 ^
-												{                                    //                                 ^
+              }                                  //                                 ^
+            }                                    //                                 ^
+            else                                 //                                 ^
+            {                                    //                                 ^
               G4cerr<<"***G4QEnv::HadrQEnv:MQ="<<tot4M.m()<<",QC="<<totQC<<G4endl;//^
-			           throw G4QException("G4QEnvironment::HadronizeQEnv: Quasmon decay?");//^
-			         }                                    // *** Do not destroy instances ***^
+              throw G4QException("G4QEnvironment::HadronizeQEnv: Quasmon decay?");//^
+            }                                    // *** Do not destroy instances ***^
             curout->clear();                     // The instances are filled above  ^
             delete curout;                       // >===============================^
             return theQHadrons;
-		        }
-		      }
+          }
+        }
         else
-		      {
+        {
           G4QContent tQC    =totQC;              // Not subtracted copy for error prints
           G4int      NSi    =0;                  // a#of additional Sigma
@@ -2994,5 +3147,5 @@
           G4double   MPi    =0.;                 // Total Mass of additional pions
           if    (totBN>0&&totS<0&&totChg+totChg>=totBN)// => "additional K+" case
-	         {
+          {
             aKPDG=321;
             NaK=-totS;
@@ -3001,7 +3154,7 @@
             totChg+=totS;                        // Charge reduction (totS<0!)
             totS=0;                              // Anti-strangness goes to anti-Kaons
-	         }
+          }
           else if (totBN>0&&totS<0)              // => "additional aK0" case
-	         {
+          {
             aKPDG=311;
             NaK=-totS;
